package eu.jonahbauer.survey.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
public class LoginController {

    @GetMapping("/login")
    public String get(@RequestParam(required = false) String error, @RequestParam(required = false) String success, Model model) {
        model.addAttribute("error", error != null);
        model.addAttribute("success", success != null);

        return "login";
    }

    @PostMapping(value = "/login", params = "register")
    public String register() {
        return "redirect:/register";
    }
}
